import { createApp } from 'vue'
import App from '@/view/iframe/publish/publish.vue'

import "ant-design-vue/dist/antd.css"; // or 'ant-design-vue/dist/antd.less'

import { Button, message, Tooltip, Switch } from "ant-design-vue";

import AutoLog from '@/log-center/autoLog';

message.config({
    top: `10px`,
    duration: 3,
    maxCount: 1,
});

const app = createApp(App);

app.use(Button);
app.use(Tooltip);
app.use(message);
app.use(Switch);
app.use(AutoLog);


import CoutomSentry from "@/uilts/sentry.js"
CoutomSentry.initVue(app)
app.mount('#app');

